local fn = _gn(0xEF50E344A8F93784)
--- https://easings.net/
-- enum class eEasingCurveType
-- {
-- TYPE_LINEAR,
-- TYPE_QUADRATIC_IN,
-- TYPE_QUADRATIC_OUT,
-- TYPE_QUADRATIC_INOUT,
-- TYPE_CUBIC_IN,
-- TYPE_CUBIC_OUT,
-- TYPE_CUBIC_INOUT,
-- TYPE_QUARTIC_IN,
-- TYPE_QUARTIC_OUT,
-- TYPE_QUARTIC_INOUT,
-- TYPE_QUINTIC_IN,
-- TYPE_QUINTIC_OUT,
-- TYPE_QUINTIC_INOUT,
-- TYPE_EXPONENTIAL_IN,
-- TYPE_EXPONENTIAL_OUT,
-- TYPE_EXPONENTIAL_INOUT,
-- TYPE_SINE_IN,
-- TYPE_SINE_OUT,
-- TYPE_SINE_INOUT,
-- TYPE_CIRCULAR_IN,
-- TYPE_CIRCULAR_OUT,
-- TYPE_CIRCULAR_INOUT,
-- TYPE_BOUNCE_IN,
-- TYPE_BOUNCE_OUT,
-- TYPE_BOUNCE_INOUT,
-- TYPE_CUSTOM
-- };
function Global.GetEasingCurveValue(t, b, d, easingCurveType)
	return _in2(fn, t, b, d, easingCurveType, _rf)
end
